<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngIf="data.length <= 0">
  <div class="w-full h-full flex flex-col items-center justify-center">
    <div class="text-xl font-semibold text-text-300 pb-4">
      <app-sad-face></app-sad-face>
    </div>
    <div class="flex flex-col gap-8 items-center">
      <div class="text-text-300">
        {{ emptyMessage ?? 'No Data' }}
      </div>
      <p-button label="Refresh" icon="pi pi-sync" [outlined]="true" size="small" (click)="onTryAgain()"></p-button>
    </div>
  </div>
</ng-container>
<ng-container *ngIf="data.length > 0">
  <cdk-virtual-scroll-viewport #virtualScroller class="w-full h-[calc(100dvh-258px)]" itemSize="190px">
    <div class="w-full h-full overflow-y-auto [&>*:nth-child(even)]:bg-whitesmoke [&>*:nth-child(even)]:bg-opacity-40">
      <div *cdkVirtualFor="let item of data" class="flex items-center border-b border-borderGrey">
        <div class="w-[400px] p-3">
          <div class="py-4 flex items-center gap-4">
            <ng-template
              *ngIf="preview"
              [ngTemplateOutlet]="preview"
              [ngTemplateOutletContext]="{ $implicit: item }"
            ></ng-template>
          </div>
        </div>
        <app-marketplace-item-description [item]="item"></app-marketplace-item-description>
        <div class="w-[260px] flex items-end justify-end">
          <p-button
            label="Open Link"
            icon="pi pi-external-link"
            size="small"
            severity="secondary"
            iconPos="right"
            (onClick)="openLink(item)"
          ></p-button>
        </div>
      </div>
    </div>
  </cdk-virtual-scroll-viewport>
</ng-container>
